All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sas.dataselectors.export
Interface ExportHeadersFootersInterface

All Known Implementing Classes:
  BaseExportSelectorAdapter, OLAPExportSelectorAdapter, RelationalExportSelectorAdapter

    @SASScope(value="ALL")
    public interface ExportHeadersFootersInterface

Represents an adapter for the ExportSelector capable of exporting headers and footers together with the data.

Method Summary
`abstract java.lang.String[]` | `getFooters()` Returns the footers to export below the data.
`abstract java.lang.String[]` | `getHeaders()` Returns the headers to export above the data.
`abstract void` | `setFooters(java.lang.String[] footers)` Sets the footers to export below the data.
`abstract void` | `setHeaders(java.lang.String[] headers)` Sets the headers to export above the data.

Method Detail

### setHeaders

    void setHeaders(java.lang.String[] headers)

  Sets the headers to export above the data.

  Parameters:
    `headers` - the headers to export above the data.

### getHeaders

    java.lang.String[] getHeaders()

  Returns the headers to export above the data.

  Returns:
    the headers to export above the data.

### setFooters

    void setFooters(java.lang.String[] footers)

  Sets the footers to export below the data.

  Parameters:
    `footers` - the headers to export below the data.

### getFooters

    java.lang.String[] getFooters()

  Returns the footers to export below the data.

  Returns:
    the footers to export below the data.

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.